'use strict';

var src = function nuxtSassResourcesLoader(options) {
  if (typeof options === 'string' || Array.isArray(options)) {
    options = {
      resources: options
    };
  }

  var sassResourcesLoader = {
    loader: 'sass-resources-loader',
    options: options
  };

  this.extendBuild(function (config, _ref) {
    var sassLoader = config.module.rules.filter(function (_ref2) {
      var test = _ref2.test;

      return ['/\\.sass$/', '/\\.scss$/'].indexOf(test.toString()) !== -1;
    });
    var vueLoader = config.module.rules.find(function (_ref3) {
      var test = _ref3.test;

      return test.toString() === '/\\.vue$/';
    });

    var loaders = vueLoader.options.loaders;

    Object.keys(loaders).forEach(function (loader) {
      if (['sass', 'css'].indexOf(loader) !== -1) {
        loaders[loader].push(sassResourcesLoader);
      }
    });

    Object.keys(sassLoader).forEach(function (loader) {
      sassLoader[loader].use.push(sassResourcesLoader);
    });
  });
};

module.exports = src;
